aboutsummaryrefslogtreecommitdiffstats
path: root/adv_cmds/xcodescripts
diff options
context:
space:
mode:
Diffstat (limited to 'adv_cmds/xcodescripts')
-rw-r--r--adv_cmds/xcodescripts/variant_links.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/adv_cmds/xcodescripts/variant_links.sh b/adv_cmds/xcodescripts/variant_links.sh
new file mode 100644
index 0000000..523c755
--- /dev/null
+++ b/adv_cmds/xcodescripts/variant_links.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+#
+# Variant links cannot be created in the actual target, because Strip/CodeSign/etc are
+# after all other phases. Running it in the aggregate target guarantees that the variants
+# are really linked to the actual stripped/signed binary.
+#
+
+set -ex
+
+ln ${DSTROOT}/usr/bin/pkill ${DSTROOT}/usr/bin/pgrep
+ln ${DSTROOT}/usr/share/man/man1/pkill.1 ${DSTROOT}/usr/share/man/man1/pgrep.1